import java.util.ArrayList;

/**
 *
 * @author gsimon
 * Classe permettant de gérer les déplacement d'un pion
 * A COMPLETER !
 */
public class Pion extends Piece {


    public Pion(String coul) {
        super(coul);
    }

    @Override
    public ArrayList<Case> getDepPossibles(Echiquier ech) {

        //tenir compte des couleurs des pieces
        //une boucle par déplacement
        //verif case existe
        //si vide -> case dispo
        // si non
        //      -> la piece est de la meme couleur -> case impossible
        //      -> couleur opposé -> case dispo

        ArrayList<Case> depPossible = new ArrayList<>();
       
        int caseHaut = this.getL()-1;
        Case caseLibre ;
        int i ;

        /* HAUT */

        while(ech.caseExiste(caseHaut, this.getC()) ){
            if( ech.getPiece(caseHaut,this.getC()) == null  ){
                caseLibre = new Case(caseHaut,this.getC());
                depPossible.add(caseLibre);
                caseHaut --;
            }else {
                if (ech.getPiece(caseHaut,this.getC()).getCoul() == this.getCoul()){
                    break;
                } else {
                    caseLibre = new Case(caseHaut,this.getC());
                    depPossible.add(caseLibre);
                    break;
                }
            }
        }


        return depPossible;
    }

    @Override
    public String toString() {
        String nom = null;
        if (getCoul() == BLANC){
            nom = "PB";
        }else {
            nom = "PN";
        }
        return nom;
    }
}
