import org.junit.After;
import static  org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;


public class testPion {
    @Parameterized.Parameter
    protected Pion pionB;
    private Echiquier ech;  // Initialise un nouveau echiquier


    @Before
    public void setUP() {
        pionB = new Pion(Piece.BLANC); // Initialise un pion blanc
        ech = new Echiquier();
    }

    @Test
    public void testDeplacementPossible() throws Exception
    {
        Piece p = new Pion(Piece.BLANC);
        ech.placer(p, 1, 0);
        System.out.println(ech);
        System.out.println();
        ech.afficherDepPossibles(1, 0);
        System.out.println();
    }
    @Test
    public void testDeplacement() throws Exception{
        Piece p = new Pion(Piece.BLANC);
        ech.placer(p, 2, 0);
        System.out.println(ech);
    }
}