/**
 *
 * @author gsimon
 * Classe permettant de répresenter sous forme d'objet un couple de coordonnées (ligne,colonne)
 */
public class Case {
    private int l; //numéro de ligne de la case
    private int c; //numéro de colonne de la case

    public Case(int l, int c) {
        this.l = l;
        this.c = c;
    }

    public int getL() { return l; }
    public int getC() { return c; }

    @Override
    public boolean equals(Object o) {
        boolean res;
        
        if (o instanceof Case) {
            Case c1 = ((Case)o);
            res = ((l==c1.getL())&&(c==c1.getC()));
        }
        else {
            res = false;
        }

        return res;
    }
}
