import org.junit.After;
import static  org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;


public class testCavalier {
    @Parameterized.Parameter
    protected Cavalier cavalierB; //Initialise un cavalier blanc
    private Echiquier ech;  // Initialise un nouveau echiquier


    @Before
    public void setUP() {
        cavalierB = new Cavalier(Piece.BLANC); // Initialise un cavalier blanc
        ech = new Echiquier();
    }

    @Test
    public void testDeplacementPossible() throws Exception
    {
        Piece c = new Cavalier(Piece.BLANC);
        ech.placer(c, 0, 1);
        System.out.println(ech);
        System.out.println();
        ech.afficherDepPossibles(0, 1);
        System.out.println();
    }
    @Test
    public void testDeplacement() throws Exception{
        Piece c = new Cavalier(Piece.BLANC);
        ech.placer(c, 1, 3);
        System.out.println(ech);
    }
}