import org.junit.After;
import static  org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;


public class testReine {
    @Parameterized.Parameter
    protected Reine reineB;
    private Echiquier ech;  // Initialise un nouveau echiquier


    @Before
    public void setUP() {
        reineB = new Reine(Piece.BLANC); // Initialise une reine blanche
        ech = new Echiquier();
    }

    @Test
    public void testDeplacementPossible() throws Exception
    {
        Piece t = new Reine(Piece.BLANC);
        ech.placer(t, 0, 0);
        System.out.println(ech);
        System.out.println();
        ech.afficherDepPossibles(0, 0);
        System.out.println();
    }
    @Test
    public void testDeplacement() throws Exception{
        Piece t = new Reine(Piece.BLANC);
        ech.placer(t, 4, 4);
        System.out.println(ech);
    }
}