import org.junit.After;
import static  org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;


public class testTour {
    @Parameterized.Parameter
    protected Tour tourB;
    @Parameterized.Parameter
    protected Tour tourN;
    private Pion PionB;
    private Echiquier ech;  // Initialise un nouveau echiquier


    @Before
    public void setUP() {
        tourB = new Tour(Piece.BLANC); // Initialise une tour blanche
        tourN = new Tour(Piece.NOIR); // Initialise une tour noire
        PionB = new Pion(Piece.BLANC); // Initialise un pion blanc
        ech = new Echiquier();
    }

    @Test
    public void testDeplacementPossible() throws Exception
    {
        Piece t = new Tour(Piece.BLANC);
        ech.placer(t, 0, 0);
        System.out.println(ech);
        System.out.println();
        ech.afficherDepPossibles(0, 0);
        System.out.println();
    }
    @Test
    public void testDeplacement() throws Exception{
        Piece t = new Tour(Piece.BLANC);
        ech.placer(t, 0, 3);
        System.out.println(ech);
    }
    @Test
    public void testDeplacementSurPiece() throws  Exception{
        Piece t = new Tour(Piece.BLANC);
        Piece p = new Pion(Piece.BLANC);
        ech.placer(t, 0, 0);
        ech.placer(p, 1, 0);
        ech.afficherDepPossibles(0, 0);
        System.out.println();
        ech.placer(t,1,0);
        System.out.println(ech);
    }
}

